Get Quote PDF Status
1 min
GET
https://api.nue.io/v1/orders/quotes/{quoteId}/pdf-status
Path Parameters
- quoteIdstringrequiredExampleDescription
Responses
200
- QuotePdfStatusResponse
- quoteIdstringExampleDescription
- pdfFileIdstringExampleDescription
- templateIdstring<uuid>ExampleDescriptionFormatuuid
- versionNumberstringExampleDescription
- isUpToDatebooleanDescription
- pdfGeneratedDatestring<date-time>ExampleDescriptionFormatdate-time
- quoteLastModifiedDatestring<date-time>ExampleDescriptionFormatdate-time
- templateLastModifiedDatestring<date-time>ExampleDescriptionFormatdate-time
401
- ErrorResponse
- errorobject
- codestringExampleDescription
- messagestringExampleDescription
- detailsstring[]Example
[ "Document must be in Draft or Pending status to send for signature" ]
Description
404
- ErrorResponse
- errorobject
- codestringExampleDescription
- messagestringExampleDescription
- detailsstring[]Example
[ "Document must be in Draft or Pending status to send for signature" ]
Description
curl
curl --request GET \
--url https://api.nue.io/v1/orders/quotes/{quoteId}/pdf-status \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/v1/orders/quotes/{quoteId}/pdf-status", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/v1/orders/quotes/{quoteId}/pdf-status")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/v1/orders/quotes/{quoteId}/pdf-status"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successfully retrieved quote PDF status
{
"quoteId": "0Q0QL000004Cswn0AC",
"pdfFileId": "069QL00000KpwG9YAJ",
"templateId": "e0ea7060-14b7-4e6a-b9a7-d4779535c1dd",
"versionNumber": "Version 4",
"isUpToDate": false,
"pdfGeneratedDate": "2026-06-08T03:27:58.491Z",
"quoteLastModifiedDate": "2026-06-08T03:28:55Z",
"templateLastModifiedDate": "2026-06-08T02:48:21.588Z"
}GENERATED
// Successfully retrieved quote PDF status
{
"quoteId": "0Q0QL000004Cswn0AC",
"pdfFileId": "069QL00000KpwG9YAJ",
"templateId": "e0ea7060-14b7-4e6a-b9a7-d4779535c1dd",
"versionNumber": "Version 4",
"isUpToDate": false,
"pdfGeneratedDate": "2026-06-08T03:27:58.491Z",
"quoteLastModifiedDate": "2026-06-08T03:28:55Z",
"templateLastModifiedDate": "2026-06-08T02:48:21.588Z"
}PDF Out of Date
{
"quoteId": "0Q0QL000004Cswn0AC",
"pdfFileId": "069QL00000KpwG9YAJ",
"templateId": "e0ea7060-14b7-4e6a-b9a7-d4779535c1dd",
"versionNumber": "Version 4",
"isUpToDate": false,
"pdfGeneratedDate": "2026-06-08T03:27:58.491Z",
"quoteLastModifiedDate": "2026-06-08T03:28:55Z",
"templateLastModifiedDate": "2026-06-08T02:48:21.588Z"
}401
// Unauthorized - Invalid or missing API key
{
"error": {
"code": "INVALID_DOCUMENT",
"message": "Document not found or cannot be sent for signature",
"details": [
""
]
}
}404
// Not Found - Quote does not exist
{
"error": {
"code": "INVALID_DOCUMENT",
"message": "Document not found or cannot be sent for signature",
"details": [
""
]
}
}